Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Interface LocationAwareException

    public interface LocationAwareException

A `LocationAwareException` is an exception which can be annotated with a location in a script.

Method Summary
`Integer` | `getLineNumber()` Returns the line in the script where this exception occurred, if known.
`String` | `getLocation()` Returns a description of the location of where this exception occurred.
`String` | `getMessage()` Returns the fully formatted error message, including the location.
`String` | `getOriginalMessage()` Returns the undecorated message of this exception.
`List<Throwable>` | `getReportableCauses()` Returns the reportable causes for this failure.
`org.gradle.groovy.scripts.ScriptSource` | `getScriptSource()` Returns the source of the script where this exception occurred.

Method Detail

### getOriginalMessage

    String getOriginalMessage()

  Returns the undecorated message of this exception.

  Returns:
    The undecorated message. May return null.

### getScriptSource

    org.gradle.groovy.scripts.ScriptSource getScriptSource()

  Returns the source of the script where this exception occurred.

  Returns:
    The source. May return null.

### getLocation

    String getLocation()

  Returns a description of the location of where this exception occurred.

  Returns:
    The location description. May return null.

### getLineNumber

    Integer getLineNumber()

  Returns the line in the script where this exception occurred, if known.

  Returns:
    The line number, or null if not known.

### getMessage

    String getMessage()

  Returns the fully formatted error message, including the location.

  Returns:
    the message. May return null.

### getReportableCauses

    List<Throwable> getReportableCauses()

  Returns the reportable causes for this failure.

  Returns:
    The causes. Never returns null, returns an empty list if this exception has no reportable causes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD